## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%bcond_without check

# https://github.com/vultr/vultr-cli
%global goipath         github.com/vultr/vultr-cli
Version:                2.15.0

%gometa

%global common_description %{expand:
Official command line tool for Vultr services.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md CONTRIBUTING.md README.md

Name:           vultr-cli
Release:        %autorelease
Summary:        Official command line tool for Vultr services
# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  go-rpm-macros

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/vultr-cli %{goipath}

# Build shell completions.
for SHELL in bash fish zsh; do
    VULTR_API_KEY=null %{gobuilddir}/bin/%{name} completion $SHELL > %{name}.${SHELL}
done


%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

# Install shell completions.
install -Dp %{name}.bash %{buildroot}%{_datadir}/bash-completion/completions/%{name}
install -Dp %{name}.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/%{name}.fish
install -Dp %{name}.zsh %{buildroot}%{_datadir}/zsh/site-functions/_%{name}


%if %{with check}
%check
%gocheck
%endif


%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*
%{_datadir}/bash-completion/completions/%{name}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/zsh/site-functions/_%{name}
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions

%gopkgfiles

%changelog
* Thu Oct 06 2022 Major Hayden <major@redhat.com> 2.15.0-1
- Update to 2.15.0 rhbz#2132696

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 2.14.2-5
- Rebuild to fix FTBFS

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.14.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 2.14.2-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> 2.14.2-2
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Wed Jun 22 2022 Major Hayden <major@redhat.com> 2.14.2-1
- Update to 2.14.2

* Wed Jun 22 2022 Major Hayden <major@redhat.com> 2.14.0-1
- Update to 2.14.0

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.12.2-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Mon Apr 04 2022 Major Hayden <major@mhtx.net> 2.12.2-1
- 🚀 Update to 2.12.2

* Mon Feb 07 2022 Major Hayden <major@redhat.com> 2.12.1-1
- Update to 2.12.1

* Mon Jan 24 2022 Major Hayden <major@redhat.com> 2.12.0-1
- Update to 2.12.0

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.11.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Major Hayden <major@redhat.com> 2.11.3-1
- Update to 2.11.3

* Mon Nov 29 2021 Major Hayden <major@redhat.com> 2.11.0-2
- Bump revision

* Mon Nov 29 2021 Major Hayden <major@redhat.com> 2.11.0-1
- Update to 2.11.0

* Fri Nov 12 2021 Major Hayden <major@redhat.com> 2.10.0-2
- First package for version 2.10.0 🎉

* Fri Nov 12 2021 Major Hayden <major@redhat.com> 2.10.0-1
- Initial import (#2015278)
